---
title: "Historical contract: Create Business Offer"
description: "Historical Ordering.co API contract for POST /business/{business_id}/offers, kept for reference. Use the current API reference for new integrations."
canonical: https://docs.ordering.co/api-reference/guides/history/create-offer/
---

# Historical contract: Create Business Offer

[]()

> **Historical API contract.** This page describes an earlier API contract. Methods, paths, and responses may differ from the current API.

## Historical meaning

Create Business Offer

This API endpoint is used to create a discount, it can be an automatic discount applied to the cart after the conditions are met or also it can be a coupon discount that is applied to the cart when the code is entered and the coupon conditions are met.

## Current API

For new integrations, use the linked current API reference or guide.

[View the current API reference](https://docs.ordering.co/api-reference/#tag/business/POST/business/%7Bbusiness_id%7D/offers)

## Parameters

```json
[
  {
    "name": "language",
    "in": "path",
    "schema": {
      "type": "string",
      "default": "en"
    },
    "required": true
  },
  {
    "name": "project",
    "in": "path",
    "schema": {
      "type": "string",
      "default": "<redacted-personal>"
    },
    "required": true
  },
  {
    "name": "business_id",
    "in": "path",
    "schema": {
      "type": "integer",
      "format": "int32"
    },
    "required": true
  },
  {
    "name": "api_version",
    "in": "path",
    "schema": {
      "type": "string",
      "default": "v400"
    },
    "required": true
  }
]
```

## Request body

```json
{
  "content": {
    "application/json": {
      "schema": {
        "type": "object",
        "required": [
          "name",
          "type",
          "rate_type",
          "rate",
          "start",
          "end"
        ],
        "properties": {
          "name": {
            "type": "string"
          },
          "type": {
            "type": "integer",
            "format": "int32"
          },
          "minimum": {
            "type": "number",
            "format": "float"
          },
          "rate_type": {
            "type": "integer",
            "format": "int32"
          },
          "rate": {
            "type": "number",
            "format": "float"
          },
          "start": {
            "type": "string",
            "format": "date"
          },
          "end": {
            "type": "string",
            "format": "date"
          },
          "limit": {
            "type": "integer",
            "format": "int32"
          },
          "coupon": {
            "type": "string"
          },
          "enabled": {
            "type": "boolean"
          }
        }
      }
    }
  }
}
```

## Responses

```json
{
  "200": {
    "description": "200",
    "content": {
      "application/json": {
        "examples": {
          "Result": {
            "value": "\n  \"error\": false,\n  \"result\": {\n    \"name\": \"Weekend\",\n    \"type\": 1,\n    \"minimum\": 1,\n    \"rate_type\": 1,\n    \"rate\": 1,\n    \"start\": \"11/11/2011\",\n    \"end\": \"11/11/2222\",\n    \"business_id\": \"41\",\n    \"updated_at\": \"2018-11-26 17:31:46\",\n    \"created_at\": \"2018-11-26 17:31:46\",\n    \"id\": 24\n  }"
          }
        }
      }
    }
  },
  "400": {
    "description": "400",
    "content": {
      "application/json": {
        "examples": {
          "Result": {
            "value": "{\n  \"error\": true,\n  \"result\": [\n    \"The offer could not be registered.\"\n  ]\n}"
          }
        },
        "schema": {
          "type": "object",
          "properties": {
            "error": {
              "type": "boolean",
              "example": true,
              "default": true
            },
            "result": {
              "type": "array",
              "items": {
                "type": "string",
                "example": "The offer could not be registered."
              }
            }
          }
        }
      }
    }
  },
  "401": {
    "description": "401",
    "content": {
      "application/json": {
        "examples": {
          "Result": {
            "value": "{\n  \"error\": true,\n  \"result\": [\n    \"You do not have permission.\"\n  ]\n}"
          }
        },
        "schema": {
          "type": "object",
          "properties": {
            "error": {
              "type": "boolean",
              "example": true,
              "default": true
            },
            "result": {
              "type": "array",
              "items": {
                "type": "string",
                "example": "You do not have permission."
              }
            }
          }
        }
      }
    }
  }
}
```
